alerts
Description
Returns all alerts
Parameters (17)
active
(boolean, query, optional)
List only active alerts (use /alerts/active endpoints instead)
area
(array, query, optional)
State/territory code or marine area code
This parameter is incompatible with the following parameters: point, region, region_type, zone
certainty
(array, query, optional)
Certainty (observed, likely, possible, unlikely, unknown)
code
(array, query, optional)
Event code
cursor
(string, query, optional)
Pagination cursor
end
(string, query, optional)
End time
event
(array, query, optional)
Event name
limit
(integer, query, optional, default: 500)
Limit
Constraints: {'minimum': 1, 'maximum': 500}
message_type
(array, query, optional)
Message type (alert, update, cancel)
point
(?, query, optional)
Point (latitude,longitude)
This parameter is incompatible with the following parameters: area, region, region_type, zone
region
(array, query, optional)
Marine region code
This parameter is incompatible with the following parameters: area, point, region_type, zone
region_type
(string, query, optional)
Region type (land or marine)
This parameter is incompatible with the following parameters: area, point, region, zone
Constraints: {'enum': ['land', 'marine']}
severity
(array, query, optional)
Severity (extreme, severe, moderate, minor, unknown)
start
(string, query, optional)
Start time
status
(array, query, optional)
Status (actual, exercise, system, test, draft)
urgency
(array, query, optional)
Urgency (immediate, expected, future, past, unknown)
zone
(array, query, optional)
Zone ID (forecast or county)
This parameter is incompatible with the following parameters: area, point, region, region_type
Examples (3)
Get active alerts with limit
curl
curl 'https://api.weather.gov/alerts?active=true&limit=10' \
-H 'User-Agent: (example.com, contact@example.com)'
import requests
resp = requests.get(
"https://api.weather.gov/alerts",
params={
'active': 'true',
'limit': '10',
},
headers={
'User-Agent': '(example.com, contact@example.com)',
},
)
data = resp.json()
import zingu_apis
api = zingu_apis.api("weather")
result = api.fetch("alerts", active="true", limit=10)
for item in result:
print(item)
const resp = await fetch("https://api.weather.gov/alerts?active=true&limit=10", {
headers: {
"User-Agent": "(example.com, contact@example.com)",
},
});
const data = await resp.json();
Get alerts for California
curl
curl 'https://api.weather.gov/alerts?area=CA&limit=50' \
-H 'User-Agent: (example.com, contact@example.com)'
import requests
resp = requests.get(
"https://api.weather.gov/alerts",
params={
'area': 'CA',
'limit': '50',
},
headers={
'User-Agent': '(example.com, contact@example.com)',
},
)
data = resp.json()
import zingu_apis
api = zingu_apis.api("weather")
result = api.fetch("alerts", area="CA", limit=50)
for item in result:
print(item)
const resp = await fetch("https://api.weather.gov/alerts?area=CA&limit=50", {
headers: {
"User-Agent": "(example.com, contact@example.com)",
},
});
const data = await resp.json();
Get alerts near San Francisco coordinates
curl
curl 'https://api.weather.gov/alerts?point=37.7749%2C-122.4194' \
-H 'User-Agent: (example.com, contact@example.com)'
import requests
resp = requests.get(
"https://api.weather.gov/alerts",
params={
'point': '37.7749,-122.4194',
},
headers={
'User-Agent': '(example.com, contact@example.com)',
},
)
data = resp.json()
import zingu_apis
api = zingu_apis.api("weather")
result = api.fetch("alerts", point="37.7749,-122.4194")
for item in result:
print(item)
const resp = await fetch("https://api.weather.gov/alerts?point=37.7749%2C-122.4194", {
headers: {
"User-Agent": "(example.com, contact@example.com)",
},
});
const data = await resp.json();
Probe History
| Time | Status | Latency | Size |
| 2026-04-04 03:13:15.942422 |
200
|
657ms |
|
| 2026-04-04 02:18:49.149299 |
200
|
782ms |
|
| 2026-04-04 02:08:39.876305 |
200
|
1766ms |
|
| 2026-04-03 13:32:53.823542 |
200
|
764ms |
|
| 2026-04-03 12:25:03.562828 |
200
|
1213ms |
|
| 2026-04-03 12:19:23.461147 |
200
|
597ms |
|
| 2026-03-30 06:34:37.238493 |
200
|
410ms |
|
| 2026-03-30 03:22:25.848047 |
200
|
994ms |
|
| 2026-03-30 02:48:27.854887 |
200
|
381ms |
|
| 2026-03-29 14:02:04.880246 |
200
|
4221ms |
|
| 2026-03-29 13:43:35.284730 |
200
|
318ms |
|
| 2026-03-29 12:51:00.441805 |
200
|
472ms |
|
| 2026-03-23 09:04:36.509326 |
200
|
2252ms |
|
| 2026-03-23 01:51:29.108737 |
200
|
723ms |
|
| 2026-03-23 01:50:27.578309 |
200
|
824ms |
1.0MB |